Skip to content

Get all Zero-Day Events

Request

Returns a list of all Zero-Day Events with optional date filters.

Security
bearer-key
Path
orgUuidstringrequired

org UUID (from the Mend App: Administration General > Organization UUID).

Query
limitstring, <= 10000

Specifies the maximum number of items to be returned in the response.

Default:"50"
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

fromDatestring, (date-time)

Filter by creation date from (inclusive)

Example:fromDate=2024-01-01
toDatestring, (date-time)

Filter by creation date to (inclusive)

Example:toDate=2024-12-31
GET
/api/v3.0/orgs/{orgUuid}/dependencies/events/zeroday
curl -i -X GET \
  'https://baseUrl/api/v3.0/orgs/{orgUuid}/dependencies/events/zeroday?limit=50&cursor=string&fromDate=2024-01-01&toDate=2024-12-31' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
Example:
{ "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }
supportTokenstring(Support Token)
Example:"1171c60d"
responseArray of objects(ZeroDayEventDTOV3)
Response
{ "additionalData": { "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }, "supportToken": "1171c60d", "response": [ {} ] }